:root {
  --background-color: white;
  --text-color: black;
  --background-color-tooltip: black;
  --text-color-tooltip: rgb(196, 62, 62);
  --shadow-tooltip: #888888;
}

#dark-mode {
  visibility: hidden;
}

#dark-mode:checked + div {
  --background-color: black;
  --text-color: white;
  --background-color-tooltip: rgb(196, 62, 62);
  --text-color-tooltip: black;
  --shadow-tooltip: #ffd0d07b;
}

body {
  margin: 0;
  padding: 0;
}

.content {
  display: block;
  position: absolute;
  top: 0;
  width: 100vw;
  height: 100vh;
  text-align: center;
  background-color: var(--background-color);
  color: var(--text-color);
}

/*---------------------------TOP TOOLTIP-----------------------------*/

.tooltip-main-top {
  position: relative;
  display: inline-block;
}

.tooltip-main-top .tooltip-text-top {
  visibility: hidden;
  width: 120px;
  background-color: var(--background-color-tooltip);
  color: var(--text-color-tooltip);
  font-weight: bold;
  text-align: center;
  border-radius: 6px;
  padding: 5px;
  position: absolute;
  box-shadow: 2px 5px 2px var(--shadow-tooltip);
  bottom: 100%;
  left: -120%;
}

.tooltip-main-top .tooltip-text-top::after {
  content: "";
  position: absolute;
  top: 100%;
  left: 50%;
  margin-left: -5px;
  border-width: 5px;
  border-style: solid;
  border-color: black transparent transparent transparent;
}

.tooltip-main-top:hover .tooltip-text-top {
  visibility: visible;
}

/*---------------------------BOTTOM TOOLTIP-----------------------------*/

.tooltip-main-bottom {
  position: relative;
  display: inline-block;
}

.tooltip-main-bottom .tooltip-text-bottom {
  visibility: hidden;
  width: 120px;
  background-color: var(--background-color-tooltip);
  color: var(--text-color-tooltip);
  font-weight: bold;
  text-align: center;
  border-radius: 6px;
  padding: 5px;
  position: absolute;
  box-shadow: 2px 5px 2px var(--shadow-tooltip);
  top: 100%;
  left: -120%;
}

.tooltip-main-bottom .tooltip-text-bottom::after {
  content: "";
  position: absolute;
  bottom: 100%;
  left: 50%;
  margin-left: -5px;
  border-width: 5px;
  border-style: solid;
  border-color: transparent transparent black transparent;
}

.tooltip-main-bottom:hover .tooltip-text-bottom {
  visibility: visible;
}

/*---------------------------LEFT TOOLTIP-----------------------------*/

.tooltip-main-left {
  position: relative;
  display: inline-block;
}

.tooltip-main-left .tooltip-text-left {
  visibility: hidden;
  width: 120px;
  background-color: var(--background-color-tooltip);
  color: var(--text-color-tooltip);
  font-weight: bold;
  text-align: center;
  border-radius: 6px;
  box-shadow: 2px 5px 2px var(--shadow-tooltip);
  padding: 5px;
  position: absolute;
  right: 130%;
  top: 20%;
}

.tooltip-main-left .tooltip-text-left::after {
  content: "";
  position: absolute;
  left: 100%;
  top: 50%;
  margin-top: -5px;
  border-width: 5px;
  border-style: solid;
  border-color: transparent transparent transparent black;
}

.tooltip-main-left:hover .tooltip-text-left {
  visibility: visible;
}

/*---------------------------RIGHT TOOLTIP-----------------------------*/

.tooltip-main-right {
  position: relative;
  display: inline-block;
}

.tooltip-main-right .tooltip-text-right {
  visibility: hidden;
  width: 120px;
  background-color: var(--background-color-tooltip);
  color: var(--text-color-tooltip);
  font-weight: bold;
  text-align: center;
  border-radius: 6px;
  box-shadow: 2px 5px 2px var(--shadow-tooltip);
  padding: 5px;
  position: absolute;
  left: 130%;
  top: 20%;
}

.tooltip-main-right .tooltip-text-right::after {
  content: "";
  position: absolute;
  right: 100%;
  top: 50%;
  margin-top: -5px;
  border-width: 5px;
  border-style: solid;
  border-color: transparent black transparent transparent;
}

.tooltip-main-right:hover .tooltip-text-right {
  visibility: visible;
}
